QGIS Application - Bug report #12123
Impossible to interactively rotate point features when rule-based renderer is used
2015-02-04 02:27 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.6.0 Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20317
Description

| have a point layer where the point symbols should be interactively rotateable.

There is a rotation tool in the "Advanced digitizing" toolbar. This tool works fine if the simple, categorized or Graduated renderer is used -
but fails to work in conjunction with the rule-based renderer.

Part of the problem is, that with the rule-based renderer | can only set the rotation in the data-defined settings - and not, like with the other
renderers, with the "Advanced" -> "Rotation field" setting at the bottom right of the style dialogue.

I'd really like to be able to also interactively rotate symbols styled with the rule-based renderer.

Associated revisions

Revision 933069dc - 2015-08-07 01:06 AM - Nyall Dawson

Improve point rotation tool support for renderers to allow use
with rule based renderer

fixes #12917, #12123 and refs #5001

History

#1 - 2015-02-04 04:30 AM - Andreas Neumann
- Target version changed from Version 2.8 to Future Release - High Priority

- Priority changed from High to Normal

Settings this to "normal" priority. After discussing this with Martin we decided to revisit this in the next QGIS version - after the Oslandia work around the
data-defined properties improvement (en mass mode) was introduced.

#2 - 2015-08-06 04:18 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"933069dcb733cddde43c7e8a0f7f1c894d7b992b".
